@google/gemini-cli 0.66.0-nightly.20261020.g76e4d7c04 → 0.66.0
This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
- package/bundle/{chunk-TQ7KPD4I.js → chunk-3KNX7NZM.js} +7 -7
- package/bundle/{chunk-25QUDVBC.js → chunk-4HZTUVUF.js} +1 -1
- package/bundle/{chunk-SGM3ZM2O.js → chunk-52FO4XIU.js} +3 -3
- package/bundle/{chunk-PJNOCVUB.js → chunk-5AXCSVA7.js} +1 -1
- package/bundle/{chunk-QFD3LGUV.js → chunk-5UDBZ45Z.js} +1 -1
- package/bundle/{chunk-U2FZ7LR3.js → chunk-6KLWFUZM.js} +1 -1
- package/bundle/{chunk-5QD7UTBD.js → chunk-AXCSQXNM.js} +7 -7
- package/bundle/{chunk-ABCQGOUF.js → chunk-BRGBBRQJ.js} +1 -1
- package/bundle/{chunk-OAMPWMDD.js → chunk-EDTBBW4C.js} +1 -1
- package/bundle/{chunk-2SFXR2UU.js → chunk-G5X4CDQU.js} +9 -1
- package/bundle/{chunk-NT5VMUYG.js → chunk-HJ5KJXNZ.js} +294 -163
- package/bundle/{chunk-H2BXML72.js → chunk-INUTV23R.js} +2 -2
- package/bundle/{chunk-5L2ZJPKG.js → chunk-IUOL5DQI.js} +3 -3
- package/bundle/{chunk-HWCMSDXD.js → chunk-K52VRT6X.js} +2 -2
- package/bundle/{chunk-QYFZT5PW.js → chunk-K7GSKO5Z.js} +3 -3
- package/bundle/{chunk-GQDP5KHT.js → chunk-LAMG73EJ.js} +58 -71
- package/bundle/{chunk-4AKYDHXF.js → chunk-M44FJWED.js} +15211 -8012
- package/bundle/{chunk-RPA2U644.js → chunk-NORTZ2HW.js} +2 -2
- package/bundle/{chunk-SQ6BRYK4.js → chunk-OYJ7VIJ6.js} +13 -7
- package/bundle/{chunk-5TBRZCPM.js → chunk-OYYGXFHS.js} +9 -1
- package/bundle/{chunk-UVXR4UDE.js → chunk-R4GW7RWU.js} +1 -1
- package/bundle/{chunk-A54EL36J.js → chunk-RZ3ZVTZB.js} +237 -141
- package/bundle/{chunk-ISET4H6Z.js → chunk-UWS5GF3J.js} +1 -1
- package/bundle/{chunk-MH3G7BVO.js → chunk-VFRDTIEV.js} +8 -9
- package/bundle/{cleanup-H23C4FRB.js → cleanup-2XQHRDT5.js} +2 -2
- package/bundle/{cleanup-SUDOWJZX.js → cleanup-5JVPAOGA.js} +2 -2
- package/bundle/{cleanup-W2E2XJHD.js → cleanup-ARWWNCSA.js} +2 -2
- package/bundle/{core-DR25YIFN.js → core-FXOG6GGI.js} +3 -1
- package/bundle/{dist-IH762HRG.js → core-UF42XRKS.js} +3 -1
- package/bundle/{devtoolsService-UBPGAOBE.js → devtoolsService-B5ZN3LHP.js} +2 -2
- package/bundle/{devtoolsService-RDGL7Q4Q.js → devtoolsService-TQRARDE6.js} +3 -4
- package/bundle/{devtoolsService-AK63N2WY.js → devtoolsService-VI64IG7N.js} +2 -2
- package/bundle/{dist-K7AZGWVD.js → dist-2RIZ62RM.js} +3 -1
- package/bundle/docs/cli/plan-mode.md +1 -1
- package/bundle/docs/tools/mcp-server.md +6 -0
- package/bundle/{gemini-JUAUYNUJ.js → gemini-22EOGL6O.js} +14 -14
- package/bundle/{gemini-MNSOKA23.js → gemini-B5V54E2S.js} +14 -14
- package/bundle/{gemini-IAHRCWDE.js → gemini-EOCRFAPZ.js} +198 -214
- package/bundle/gemini.js +7 -7
- package/bundle/{interactiveCli-KNDP7PQO.js → interactiveCli-46HBJDMM.js} +8 -8
- package/bundle/{interactiveCli-QBGW7LCY.js → interactiveCli-NICTHPQ5.js} +299 -318
- package/bundle/{interactiveCli-CEPE623V.js → interactiveCli-PCUQVB2U.js} +8 -8
- package/bundle/{liteRtServerManager-56FXWOWF.js → liteRtServerManager-MOBTETYO.js} +4 -4
- package/bundle/{liteRtServerManager-6VCUZUBR.js → liteRtServerManager-QUY4QUUU.js} +4 -4
- package/bundle/{liteRtServerManager-ET5JCLFC.js → liteRtServerManager-VNR55CDS.js} +4 -4
- package/bundle/{oauth2-provider-3JVR74F4.js → oauth2-provider-CSWP7WO5.js} +1 -1
- package/bundle/{oauth2-provider-QCLF5MJ6.js → oauth2-provider-MUXRJUZX.js} +1 -1
- package/bundle/{oauth2-provider-T7ZEJC6E.js → oauth2-provider-OZKO5M2O.js} +79 -41
- package/bundle/{start-6LR6ZTIA.js → start-JZMPNSM6.js} +6 -6
- package/bundle/{start-7BOFIFYC.js → start-KQ5454ZP.js} +6 -6
- package/bundle/{start-IK6ICZO7.js → start-LBEBPRUS.js} +6 -6
- package/package.json +1 -1
- package/bundle/chunk-4SIDVMMK.js +0 -1571
- package/bundle/chunk-JE3ZXCSH.js +0 -101859
- package/bundle/chunk-OY6A4LLK.js +0 -402181
- package/bundle/chunk-SG3ORRAF.js +0 -154
- package/bundle/chunk-U4DTRTYX.js +0 -17603
- package/bundle/chunk-WX5OVTYJ.js +0 -118
- package/bundle/chunk-XUR7BKHJ.js +0 -1956
- package/bundle/chunk-ZRWAXNRK.js +0 -512
- package/bundle/cleanup-ZD5E5HXX.js +0 -32
- package/bundle/devtoolsService-ZN57AXCQ.js +0 -4422
- package/bundle/dist-UISQAYJB.js +0 -2280
- package/bundle/gemini-JYBDOUMM.js +0 -17970
- package/bundle/interactiveCli-SVBCOZZ7.js +0 -35602
- package/bundle/liteRtServerManager-PNHOG42P.js +0 -65
- package/bundle/oauth2-provider-75J7JO46.js +0 -273
- package/bundle/start-SO3J5664.js +0 -18
|
@@ -2,7 +2,7 @@ const require = (await import('node:module')).createRequire(import.meta.url); co
|
|
|
2
2
|
import {
|
|
3
3
|
exitCli,
|
|
4
4
|
require_source
|
|
5
|
-
} from "./chunk-
|
|
5
|
+
} from "./chunk-5UDBZ45Z.js";
|
|
6
6
|
import {
|
|
7
7
|
AppEvent,
|
|
8
8
|
appEvents
|
|
@@ -63,16 +63,16 @@ import {
|
|
|
63
63
|
stripUnsafeCharacters,
|
|
64
64
|
toCodePoints,
|
|
65
65
|
validateCustomTheme
|
|
66
|
-
} from "./chunk-
|
|
66
|
+
} from "./chunk-G5X4CDQU.js";
|
|
67
67
|
import {
|
|
68
68
|
isDevelopment,
|
|
69
69
|
require_semver
|
|
70
|
-
} from "./chunk-
|
|
70
|
+
} from "./chunk-INUTV23R.js";
|
|
71
71
|
import {
|
|
72
72
|
emptyIcon,
|
|
73
73
|
mapCoreStatusToDisplayStatus,
|
|
74
74
|
require_react
|
|
75
|
-
} from "./chunk-
|
|
75
|
+
} from "./chunk-UWS5GF3J.js";
|
|
76
76
|
import {
|
|
77
77
|
ALL_EDITORS,
|
|
78
78
|
ApprovalMode,
|
|
@@ -234,7 +234,7 @@ import {
|
|
|
234
234
|
uiTelemetryService,
|
|
235
235
|
unescapePath,
|
|
236
236
|
validateUrlDestination
|
|
237
|
-
} from "./chunk-
|
|
237
|
+
} from "./chunk-M44FJWED.js";
|
|
238
238
|
import {
|
|
239
239
|
require_src
|
|
240
240
|
} from "./chunk-L6PII3GR.js";
|
|
@@ -76457,7 +76457,7 @@ var authCommand = {
|
|
|
76457
76457
|
import process29 from "node:process";
|
|
76458
76458
|
|
|
76459
76459
|
// packages/cli/src/generated/git-commit.ts
|
|
76460
|
-
var GIT_COMMIT_INFO = "
|
|
76460
|
+
var GIT_COMMIT_INFO = "6d6b49efd";
|
|
76461
76461
|
|
|
76462
76462
|
// packages/cli/src/ui/utils/historyExportUtils.ts
|
|
76463
76463
|
import * as fsPromises from "node:fs/promises";
|
|
@@ -82264,7 +82264,7 @@ Use /mcp auth <server-name> to authenticate.`
|
|
|
82264
82264
|
type: "info",
|
|
82265
82265
|
text: `Starting OAuth authentication for MCP server '${serverName}'...`
|
|
82266
82266
|
});
|
|
82267
|
-
const { MCPOAuthProvider } = await import("./core-
|
|
82267
|
+
const { MCPOAuthProvider } = await import("./core-UF42XRKS.js");
|
|
82268
82268
|
let oauthConfig = server.oauth;
|
|
82269
82269
|
if (!oauthConfig) {
|
|
82270
82270
|
oauthConfig = { enabled: false };
|
|
@@ -2,7 +2,7 @@ const require = (await import('node:module')).createRequire(import.meta.url); co
|
|
|
2
2
|
import {
|
|
3
3
|
exitCli,
|
|
4
4
|
require_source
|
|
5
|
-
} from "./chunk-
|
|
5
|
+
} from "./chunk-5AXCSVA7.js";
|
|
6
6
|
import {
|
|
7
7
|
DEFAULT_PORT,
|
|
8
8
|
SERVER_START_WAIT_MS,
|
|
@@ -14,10 +14,10 @@ import {
|
|
|
14
14
|
isServerRunning,
|
|
15
15
|
resolveGemmaConfig,
|
|
16
16
|
writeServerProcessInfo
|
|
17
|
-
} from "./chunk-
|
|
17
|
+
} from "./chunk-OYYGXFHS.js";
|
|
18
18
|
import {
|
|
19
19
|
debugLogger
|
|
20
|
-
} from "./chunk-
|
|
20
|
+
} from "./chunk-RZ3ZVTZB.js";
|
|
21
21
|
import {
|
|
22
22
|
__toESM
|
|
23
23
|
} from "./chunk-34MYV7JD.js";
|
|
@@ -1,7 +1,7 @@
|
|
|
1
1
|
const require = (await import('node:module')).createRequire(import.meta.url); const __chunk_filename = (await import('node:url')).fileURLToPath(import.meta.url); const __chunk_dirname = (await import('node:path')).dirname(__chunk_filename);
|
|
2
2
|
import {
|
|
3
3
|
runExitCleanup
|
|
4
|
-
} from "./chunk-
|
|
4
|
+
} from "./chunk-6KLWFUZM.js";
|
|
5
5
|
import {
|
|
6
6
|
__commonJS,
|
|
7
7
|
__require
|
|
@@ -1,7 +1,7 @@
|
|
|
1
1
|
const require = (await import('node:module')).createRequire(import.meta.url); const __chunk_filename = (await import('node:url')).fileURLToPath(import.meta.url); const __chunk_dirname = (await import('node:path')).dirname(__chunk_filename);
|
|
2
2
|
import {
|
|
3
3
|
runExitCleanup
|
|
4
|
-
} from "./chunk-
|
|
4
|
+
} from "./chunk-R4GW7RWU.js";
|
|
5
5
|
import {
|
|
6
6
|
__commonJS,
|
|
7
7
|
__require
|
|
@@ -2,7 +2,7 @@ const require = (await import('node:module')).createRequire(import.meta.url); co
|
|
|
2
2
|
import {
|
|
3
3
|
exitCli,
|
|
4
4
|
require_source
|
|
5
|
-
} from "./chunk-
|
|
5
|
+
} from "./chunk-5AXCSVA7.js";
|
|
6
6
|
import {
|
|
7
7
|
AppEvent,
|
|
8
8
|
appEvents
|
|
@@ -63,16 +63,16 @@ import {
|
|
|
63
63
|
stripUnsafeCharacters,
|
|
64
64
|
toCodePoints,
|
|
65
65
|
validateCustomTheme
|
|
66
|
-
} from "./chunk-
|
|
66
|
+
} from "./chunk-OYYGXFHS.js";
|
|
67
67
|
import {
|
|
68
68
|
isDevelopment,
|
|
69
69
|
require_semver
|
|
70
|
-
} from "./chunk-
|
|
70
|
+
} from "./chunk-NORTZ2HW.js";
|
|
71
71
|
import {
|
|
72
72
|
emptyIcon,
|
|
73
73
|
mapCoreStatusToDisplayStatus,
|
|
74
74
|
require_react
|
|
75
|
-
} from "./chunk-
|
|
75
|
+
} from "./chunk-BRGBBRQJ.js";
|
|
76
76
|
import {
|
|
77
77
|
ALL_EDITORS,
|
|
78
78
|
ApprovalMode,
|
|
@@ -247,7 +247,7 @@ import {
|
|
|
247
247
|
uiTelemetryService,
|
|
248
248
|
unescapePath,
|
|
249
249
|
validateUrlDestination
|
|
250
|
-
} from "./chunk-
|
|
250
|
+
} from "./chunk-RZ3ZVTZB.js";
|
|
251
251
|
import {
|
|
252
252
|
require_src
|
|
253
253
|
} from "./chunk-L6PII3GR.js";
|
|
@@ -76470,7 +76470,7 @@ var authCommand = {
|
|
|
76470
76470
|
import process29 from "node:process";
|
|
76471
76471
|
|
|
76472
76472
|
// packages/cli/src/generated/git-commit.ts
|
|
76473
|
-
var GIT_COMMIT_INFO = "
|
|
76473
|
+
var GIT_COMMIT_INFO = "970413207";
|
|
76474
76474
|
|
|
76475
76475
|
// packages/cli/src/ui/utils/historyExportUtils.ts
|
|
76476
76476
|
import * as fsPromises from "node:fs/promises";
|
|
@@ -82277,7 +82277,7 @@ Use /mcp auth <server-name> to authenticate.`
|
|
|
82277
82277
|
type: "info",
|
|
82278
82278
|
text: `Starting OAuth authentication for MCP server '${serverName}'...`
|
|
82279
82279
|
});
|
|
82280
|
-
const { MCPOAuthProvider } = await import("./dist-
|
|
82280
|
+
const { MCPOAuthProvider } = await import("./dist-2RIZ62RM.js");
|
|
82281
82281
|
let oauthConfig = server.oauth;
|
|
82282
82282
|
if (!oauthConfig) {
|
|
82283
82283
|
oauthConfig = { enabled: false };
|
|
@@ -1,7 +1,7 @@
|
|
|
1
1
|
const require = (await import('node:module')).createRequire(import.meta.url); const __chunk_filename = (await import('node:url')).fileURLToPath(import.meta.url); const __chunk_dirname = (await import('node:path')).dirname(__chunk_filename);
|
|
2
2
|
import {
|
|
3
3
|
runExitCleanup
|
|
4
|
-
} from "./chunk-
|
|
4
|
+
} from "./chunk-4HZTUVUF.js";
|
|
5
5
|
import {
|
|
6
6
|
__commonJS,
|
|
7
7
|
__require
|
|
@@ -31,7 +31,7 @@ import {
|
|
|
31
31
|
partListUnionToString,
|
|
32
32
|
require_strip_json_comments,
|
|
33
33
|
sanitizeFilenamePart
|
|
34
|
-
} from "./chunk-
|
|
34
|
+
} from "./chunk-M44FJWED.js";
|
|
35
35
|
import {
|
|
36
36
|
__commonJS,
|
|
37
37
|
__require,
|
|
@@ -15251,6 +15251,10 @@ var SETTINGS_SCHEMA_DEFINITIONS = {
|
|
|
15251
15251
|
authorizationResponseIssParameterSupported: {
|
|
15252
15252
|
type: "boolean",
|
|
15253
15253
|
description: 'Whether the authorization server returns the "iss" parameter in the authorization response (RFC 9207). When true, callbacks without "iss" are rejected; when false, they are accepted. A provided "iss" is always validated. Overrides the "authorization_response_iss_parameter_supported" value discovered from server metadata.'
|
|
15254
|
+
},
|
|
15255
|
+
allowPrivateNetwork: {
|
|
15256
|
+
type: "boolean",
|
|
15257
|
+
description: "Allow OAuth endpoints on private enterprise networks (RFC 1918, RFC 6598, RFC 4193, .internal, .local)."
|
|
15254
15258
|
}
|
|
15255
15259
|
}
|
|
15256
15260
|
},
|
|
@@ -15318,6 +15322,10 @@ var SETTINGS_SCHEMA_DEFINITIONS = {
|
|
|
15318
15322
|
authorizationResponseIssParameterSupported: {
|
|
15319
15323
|
type: "boolean",
|
|
15320
15324
|
description: 'Whether the authorization server returns the "iss" parameter in the authorization response (RFC 9207). When true, callbacks without "iss" are rejected; when false, they are accepted. A provided "iss" is always validated. Overrides the "authorization_response_iss_parameter_supported" value discovered from server metadata.'
|
|
15325
|
+
},
|
|
15326
|
+
allowPrivateNetwork: {
|
|
15327
|
+
type: "boolean",
|
|
15328
|
+
description: "Allow OAuth endpoints on private enterprise networks (RFC 1918, RFC 6598, RFC 4193, .internal, .local)."
|
|
15321
15329
|
}
|
|
15322
15330
|
}
|
|
15323
15331
|
},
|